<?php
return [
	'attributes' => [
		'novalidate' => true,
	],

	'elements' => [[
		'spec' => [
			'type' => 'text',
			'name' => 'firstName',
			'options' => [
				'label' => 'Ime',
			],
			'attributes' => [
				'required' => true,
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'lastName',
			'options' => [
				'label' => 'Prezime',
			],
			'attributes' => [
				'required' => true,
			],
		],
	], [
		'spec' => [
			'type' => 'text',
			'name' => 'hakMemberId',
			'options' => [
				'label' => 'Broj članske iskaznice',
			],
			'attributes' => [
				'required' => true,
			],
		],
	], [
		'spec' => [
			'type' => 'submit',
			'name' => 'connect',
			'options' => [
				'label' => 'Provjeri!',
			],
			'attributes' => [
				'class' => 'button',
			],
		],
	], [
		'spec' => [
			'type' => 'submit',
			'name' => 'disconnect',
			'options' => [
				'label' => 'Ukloni!',
			],
			'attributes' => [
				'class' => 'button',
			],
		],
	]],

	'input_filter' => [
		'firstName' => [
			'required' => true,
		],

		'lastName' => [
			'required' => true,
		],

		'hakMemberId' => [
			'required' => true,
		],
	],
];